## jwm 2.1.0+svn579

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.18
GETTEXT_MACRO_VERSION = 0.18

PACKAGE = jwm
VERSION = svn-579
PACKAGE_BUGREPORT = joewing@joewing.net

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = /usr/local
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = /usr/local/share/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# @install_sh@ does not start with $(SHELL), so we add it.
# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) /usr/bin/install -c -d
install_sh = $(SHELL) /usr/bin/install -c
MKDIR_P = @MKDIR_P@
mkdir_p = @MKDIR_P@

GMSGFMT_ = :
GMSGFMT_no = :
GMSGFMT_yes = :
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = :
MSGFMT_no = :
MSGFMT_yes = :
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = :
XGETTEXT_no = :
XGETTEXT_yes = :
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = : --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES = 
GMOFILES = 
UPDATEPOFILES = 
DUMMYPOFILES = 
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/background.c \
     ../src/border.c \
     ../src/button.c \
     ../src/client.c \
     ../src/clientlist.c \
     ../src/clock.c \
     ../src/color.c \
     ../src/command.c \
     ../src/confirm.c \
     ../src/cursor.c \
     ../src/debug.c \
     ../src/desktop.c \
     ../src/dock.c \
     ../src/error.c \
     ../src/event.c \
     ../src/font.c \
     ../src/gradient.c \
     ../src/group.c \
     ../src/help.c \
     ../src/hint.c \
     ../src/icon.c \
     ../src/image.c \
     ../src/key.c \
     ../src/lex.c \
     ../src/main.c \
     ../src/match.c \
     ../src/menu.c \
     ../src/misc.c \
     ../src/move.c \
     ../src/outline.c \
     ../src/pager.c \
     ../src/parse.c \
     ../src/place.c \
     ../src/popup.c \
     ../src/render.c \
     ../src/resize.c \
     ../src/root.c \
     ../src/screen.c \
     ../src/spacer.c \
     ../src/status.c \
     ../src/swallow.c \
     ../src/taskbar.c \
     ../src/timing.c \
     ../src/traybutton.c \
     ../src/tray.c \
     ../src/winmenu.c

CATALOGS = 

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = jwm

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Free Software Foundation, Inc.

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = joewing@joewing.net

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: check-macro-version all-no

all-yes: stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version:
	@test "$(GETTEXT_MACRO_VERSION)" = "0.18" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.18" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if LC_ALL=C grep 'GNU jwm' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
	  package_gnu='GNU '; \
	else \
	  package_gnu=''; \
	fi; \
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	  *) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --package-name="$${package_gnu}jwm" \
	      --package-version='svn-579' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	esac
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) \
	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
	           *) \
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
	         esac; \
	       }; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-no
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \

## jwm 2.0.1

=== debian/changelog ===
jwm (2.0.1-3) unstable; urgency=low

  * debian/control
    - (Build-Depends): update to debhelper 7.1. Add libfribidi-dev.
    - (Standards-Version): update to 3.8.4.
  * debian/rules
    - Update to dh(1)
    - (binary-arch): add dh_installwm.
  * debian/patches
    - (Number 77): Compile fix for libfribidi-dev 0.19.2-1. The
      library's header files have changed.
  * debian/rules:
     - Remove rules handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 10 Mar 2010 09:09:11 +0200

jwm (2.0.1-2) unstable; urgency=low

  [ Jari Aalto ]
  * Upgrade package to "3.0 (quilt)".
  * debian/changelog
    - Improve layout of all releases (canonical form).
  * debian/compat:
    - Update to 7
  * debian/control
    - (Build-Depends): update debhelper to 7. Remove dpatch.
    - (Homepage): New field.
    - (Standards-Version): update to 3.8.3.
    - (Suggests): New. Add x11-apps (xload).
    - (Uploaders): Remove; not applicable.
  * debian/debian-autotools.mk
    - New file
  * debian/Jwm.desktop
    - [Window Manager](Terminal, TryExec): New attributes. Thanks to
      Stefan Pofahl <stefan@pofahl.de>. (Closes: Bug#508073, #546510).
    - [Desktop Entry](Encoding): Remove, no longer needed.
  * debian/jwm.examples
    - New file.
  * debian/jwm.manpages
    - New file.
  * debian/jwm.menu-method
    - (postoutput): Add shutdown-menu. Thanks to Stefan Pofahl
       <stefan@pofahl.de>
    - Fix A-Tab keycode. Thanks to Frank Siebler <siebler@gmx.net>
  * debian/jwm-poweroff.sh
    - New script for the shutdown menu
  * debian/patches
    - Convert all dpatch files to quilt series.
  * debian/README.Debian
     - Remove duplicate compilation information that is in
       README.Debian-source.
  * debian/rules
    - Clean rules and use debian-autools.mk.
    - (install): Rewrite. Do not use upstream Makefile at all (too many
      problems).
    - (install): Correct location of *.desktop directory (Closes: #559599).
  * debian/source/format
    - New file
  * debian/watch
    - Tighten regexp.

  [ Ricardo Mones ]
  * debian/changelog
    - Fix a couple of typos.
  * debian/control
    - (Description): more typos fixed.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 12 Dec 2009 22:28:59 +0200

jwm (2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #384553
  * debian/control
    - (Description): Reworded. Add 2 spaces in front of URL.
    - (Build-Depands): Added dpatch.
  * debian/copyright
    - Update to latest template.
    - Mention Debian source repository.
  * debian/menu:
    - Change output encoding from ISO-8859-1 to UTF-8
      to work with C locales. (Closes: #392845)
    - Change WindowManagers to 'Window Managers'
  * debian/menu-method
    - include menu.h without path component (Closes: #408519).
  * debian/patches
     - New. Convert package to dpatch format.
  * debian/rules
    - Change -$(MAKE) to fix lintian warning.
  * debian/watch
    - New file.
  * src/Makefile.in
    - Add patch 60 to comment out strip (Closes: #437244)

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 02 Aug 2007 10:45:54 +0300

jwm (1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/menu
    - New file. Added jwm.menu-methods (initial
      code sent by Paolo D'Emilio <kaysix AT olografix.org>; thanks).
    - Add IconPath to include /usr/X11R6/include/X11/pixmaps.
    - Update restart and exit icon *.xpm names.
    - User menus do not yet work: added to TODO.
    - Reduce tray size from 32 to 24 pixels to make more room under 1024x768
      laptops (size comparable to e.g. fluxbox)
  * debian/jwm.menu-method
    - Correct menu path from
      /usr/sbin/install-menu to /usr/bin/install-menu
  * debian/jwm.menu
    - Correct package name: pwm => jwm. Removed
      commands: exit, restart.
  * debian/control
    - (Buil-depends): Add libxft-dev, libxrender-dev,
      libfontconfig1-dev, zlib1g-dev. Removed libx11-dev, x-dev

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 29 Mar 2006 14:36:49 +0300

jwm (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 26 Feb 2006 23:53:59 +0200

jwm (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Sun,  5 Feb 2006 22:57:26 +0200

jwm (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): Add libpng12-dev, libxpm-dev, libxinerama-dev
    - (Description) format to fit in 80 characters.

 -- Jari Aalto <jari.aalto@cante.net>  Sat,  4 Feb 2006 13:08:37 +0200

jwm (0.23-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * debian/control
    - Build-depend on libxext-dev and libxpm-dev instead of on the obsolete
      xlibs-dev; thanks to Justin Pryzby <justinpryzby@users.sf.net> for
      testing. See <http://wiki.debian.org/DependsXlibsDev>.
      Closes: #346625. (FTBFS: build-depends on removed xlibs-dev).
  * Re-run autoconf to pull in a current version of AC_PATH_X, to avoid a
    build-dep on libxt-dev.

 -- Steve Langasek <vorlon@debian.org>  Tue, 17 Jan 2006 05:12:03 -0800

jwm (0.23-3) unstable; urgency=medium

  * debian/changelog
    - (urgency): Set to medium. Restore /usr/bin/x-window-manager.
  * debian/control
    - (Homepage): more accurate location (wishlist; Closes #327013)
    - (Description): Update wording.
  * debian/jwm.postinst
    - Accidental /usr/bin/x-window-manager link deletion.
      (important; Closes: #327136).

 -- Jari Aalto <jari.aalto@cante.net>  Fri,  9 Sep 2005 13:49:37 +0300

jwm (0.23-2) unstable; urgency=low

  * debian/control
    - (Provides): Add "x-window-manager". See Debian Policy
      Manual Chapter 11 - Customized programs: 11.8.3 Packages providing a
      terminal emulator. See also 7.4 Virtual packages - Provides.
  * debian/copyright
    - Updated new FSF address
  * debian/jwm.postinst
    - Register /etc/alternatives with priority 20.
  * debian/jwm.prerm
    - New file. Unregister /etc/alternatives


=== debian/control ===
Source: jwm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), autotools-dev, libxext-dev, libpng12-dev, libxpm-dev, libxinerama-dev, libxft-dev, libxrender-dev, libfontconfig1-dev, zlib1g-dev, libx11-6, libfribidi-dev (>= 0.19.2)
Standards-Version: 3.8.4

Package: jwm
Provides: x-window-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu, x11-apps
Homepage: http://www.joewing.net/programs/jwm
Description: Very small lightweight pure X11 window manager with tray and menus
 Low resource Window manager ideal for older PCs. It uses a minimum of external
 libraries, thus very little memory, includes virtual screens, menubar and
 root-menu popup.
 .
 JWM is a window manager for the X11 Window System. JWM is written in
 C and uses only Xlib and (optionally) the shape extension and libXpm.
 It can support some MWM, GNOME, and WM Spec hints. The menu
 configuration files are managed in XML format.
 .
 Compared to other light WM, like Fvwm95, the Jwm consumes about twice
 less memory while providing the same functionality.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE	 = jwm

include debian/debian-vars.mk
include debian/debian-autotools.mk

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc/jwm

install: build
	# target: install
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	#  Install binary
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_BIN) src/$(PACKAGE) $(BINDIR)

	#  Install GDM support
	$(INSTALL_DIR) $(XSESSIONDIR)
	$(INSTALL_DATA) debian/*.desktop $(XSESSIONDIR)

	#  Install poweroff program
	$(INSTALL_DIR) $(LIBDIR)
	$(INSTALL_SCRIPT) debian/jwm-poweroff.sh $(LIBDIR)

binary-arch: build install
	# target: binary-arch -- Build architecture-dependent files
	# Clean up for diff. Not included in upstream source 2.0.1+
	rm -f config.guess config.sub

	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_installwm --priority=80 jwm
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

%:
	dh $@

.PHONY: install
.PHONY: binary-arch binary

# End of file

## jwm 2.1.0

=== debian/changelog ===
jwm (2.1.0-2) unstable; urgency=low

  * Bug fixed in 2.1.0-1 but not closed
    - Makefile.in -- add DESTDIR support (Closes: #560836).
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
      Change libpng12-dev to libpng-dev; libpng 1.5 transition
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601>.
    - (Depends): Add x-terminal-emulator, www-browser.
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - Update to Copyright Format 1.0.
  * debian/menu-method
    - Rewrite. Output to /etc/jwm/debian-menu (Closes: #588597, #470416).
  * debian/patches
    - (57): New. Include debian from dir /etc/jwm (Closes: #392838).
  * debian/rules
    - Install system.jwmrc (CloseS: #644625).
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 05 Mar 2012 04:08:00 -0500

jwm (2.1.0-1) unstable; urgency=low

  * New upstream release
    - Manual page fixes (Closes: #559166, #559167, #559169).
    - EXEC: is not working from .jwmrc (Closes: #582841).
      Upstream: "This should be fixed now. I just tested it and it works
      for me".
    - Iceweasel cannot be expanded fullscreen; works in other WMs
      (Closes: #589376). Upstream: "I believe this has been fixed. I am
      able to use Firefox in fullscreen mode without any problems".
    - Multibytes characters title cannot be displayed (Closes: #458826).
      Upstream: "This has been fixed (I don't know how to test it though)".
    - Browser's javascript steals focus. Works in other WMs (Closes: #636842).
      Upstream: "I'm not able to reproduce this with the current version."
  * debian/*.mk
    - Remove. No longer needed.
  * debian/clean
    - New file. Clean up temporary files (FTBFS; Closes: #643173).
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8.
    - (Standards-Version): Update to 3.9.2.
    - (Vcs-*): New headers.
  * debian/copyright
    - Update to DEP 5.
  * debian/install
    - New file.
  * debian/jwm.examples
    - Remove. Handled by newest debhelper.
  * debian/jwm.*
    - Rename all file to not include package prefix.
  * debian/debian.menu-methods.sh
    - Add final newline.
  * debian/NEWS.Debian
    - Delete extra whitespaces.
  * debian/patches
    - Refresh patches (FTBFS; Closes: #643173).
    - (7x): Remove all manual page patches; accepted upstream.
  * debian/rules
    - Clean up code for minimalistic dh(1).
    - (get-changelog): New.
    - (override_dh_installchangelogs): New.
  * debian/upstream.changelog
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 27 Sep 2011 18:54:47 +0300

=== debian/control ===
Source: jwm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), autotools-dev, libxext-dev, libpng-dev, libxpm-dev, libxinerama-dev, libxft-dev, libxrender-dev, libfontconfig1-dev, zlib1g-dev, libx11-6, libfribidi-dev (>= 0.19.2)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/jwm.git
Vcs-Git: git://git.debian.org/git/collab-maint/jwm.git

Package: jwm
Provides: x-window-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rxvt-unicode-256color | rxvt-unicode | rxvt-unicode-lite | gnome-terminal | konsole | x-terminal-emulator, iceweasel | www-browser
Suggests: menu, x11-apps
Homepage: http://www.joewing.net/programs/jwm
Description: very small lightweight pure X11 window manager with tray and menus
 Low resource Window manager ideal for older PCs. It uses a minimum of external
 libraries, thus very little memory, includes virtual screens, menubar and
 root-menu popup.
 .
 JWM is a window manager for the X11 Window System. JWM is written in
 C and uses only Xlib and (optionally) the shape extension and libXpm.
 It can support some MWM, GNOME, and WM Spec hints. The menu
 configuration files are managed in XML format.
 .
 Compared to other light WM, like Fvwm95, the Jwm consumes about twice
 less memory while providing the same functionality.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	  = jwm
CHANGELOG = debian/upstream.changelog
PKGDIR	  = $(CURDIR)/debian/$(PACKAGE)
ETCDIR	  = $(PKGDIR)/etc/$(PACKAGE)

export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Run manaually to get an update
get-changelog:
	svn log https://jwm.svn.sourceforge.net/svnroot/jwm \
		| sed 's/[[:space:]]*$$//' \
		> $(CHANGELOG)

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)
	install -D -m 644 example.jwmrc $(ETCDIR)/system.$(PACKAGE)rc

override_dh_auto_configure:
	./configure \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--sysconfdir=/etc/jwm

override_dh_auto_install:
	# Disable. See debian/install instead.

%:
	dh $@

# End of file

## jwm 2.1.0+svn579

=== debian/changelog ===
jwm (2.1.0+svn579-2) unstable; urgency=low

  * debian/control:
    - (Depends): Remove iceweasel | www-browser to reduce depends (Closes: #93606).
    - (Standards-Version): Update to 3.9.4.
  * debian/patches
    - (50): Comment out gnome-www-browser.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Nov 2012 07:02:17 +0200

jwm (2.1.0+svn579-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    (02): Remove. Use destdir accepted upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 07 Jul 2012 08:43:35 +0300

jwm (2.1.0-3) unstable; urgency=low

  * debian/control
    - (Description): Adjust wording about memory usage (Closes: #663996).
    - (Standards-Version): Update to 3.9.3.1.
  * debian/rules
    - Fortify code with all hardening flags enabled, including
      CPPFLAGS (closes: #662802).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 06:44:32 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), autotools-dev, libxext-dev, libpng-dev, libxpm-dev, libxinerama-dev, libxft-dev, libxrender-dev, libfontconfig1-dev, zlib1g-dev, libx11-6, libfribidi-dev (>= 0.19.2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jwm.git
 Vcs-Git: git://git.debian.org/git/collab-maint/jwm.git
 
 Package: jwm
 Provides: x-window-manager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, rxvt-unicode-256color | rxvt-unicode | rxvt-unicode-lite | gnome-terminal | konsole | x-terminal-emulator, iceweasel | www-browser
+Depends: ${shlibs:Depends}, ${misc:Depends}, rxvt-unicode-256color | rxvt-unicode | rxvt-unicode-lite | gnome-terminal | konsole | x-terminal-emulator
 Suggests: menu, x11-apps
 Homepage: http://www.joewing.net/programs/jwm
 Description: very small lightweight pure X11 window manager with tray and menus
@@ -23,5 +23,5 @@
  It can support some MWM, GNOME, and WM Spec hints. The menu
  configuration files are managed in XML format.
  .
- Compared to other light WM, like Fvwm95, the Jwm consumes about twice
+ Compared to other light WM, like Fvwm95, the Jwm consumes considerably
  less memory while providing the same functionality.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	  = jwm
CHANGELOG = debian/upstream.changelog
PKGDIR	  = $(CURDIR)/debian/$(PACKAGE)
ETCDIR	  = $(PKGDIR)/etc/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND	 = -Wall -pedantic
export DEB_LDFaLAGS_MAINT_APPEND = -Wl,--as-needed

 # Upstream does not support CPPFLAGS
export CC := $(CC) $(CPPFLAGS)

# Run manaually to get updates
get-changelog:
	svn log https://jwm.svn.sourceforge.net/svnroot/jwm \
		| sed 's/[[:space:]]*$$//' \
		> $(CHANGELOG)

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_install:
	dh_install
	install -D -m 644 example.jwmrc $(ETCDIR)/system.$(PACKAGE)rc

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/jwm

override_dh_auto_install:
	# Disable. See debian/install instead.

%:
	dh $@

# End of file

=== debian/watch ===
version=3
http://www.joewing.net/programs/jwm/index.shtml .*jwm-(\d+\.[\d.]+.*).tar.bz2

## jwm 2.3.1

=== po/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 GETTEXT_MACRO_VERSION = 0.18
 
 PACKAGE = jwm
-VERSION = svn-579
+VERSION = 2.3.1
 PACKAGE_BUGREPORT = joewing@joewing.net
 
 SHELL = /bin/sh
@@ -41,31 +41,31 @@
 # versions, $(mkinstalldirs) and $(install_sh) are unused.
 mkinstalldirs = $(SHELL) /usr/bin/install -c -d
 install_sh = $(SHELL) /usr/bin/install -c
-MKDIR_P = @MKDIR_P@
-mkdir_p = @MKDIR_P@
-
-GMSGFMT_ = :
-GMSGFMT_no = :
-GMSGFMT_yes = :
+MKDIR_P = /bin/mkdir -p
+mkdir_p = /bin/mkdir -p
+
+GMSGFMT_ = /usr/bin/gmsgfmt
+GMSGFMT_no = /usr/bin/gmsgfmt
+GMSGFMT_yes = /usr/bin/gmsgfmt
 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
-MSGFMT_ = :
-MSGFMT_no = :
-MSGFMT_yes = :
+MSGFMT_ = /usr/bin/msgfmt
+MSGFMT_no = /usr/bin/msgfmt
+MSGFMT_yes = /usr/bin/msgfmt
 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
-XGETTEXT_ = :
-XGETTEXT_no = :
-XGETTEXT_yes = :
+XGETTEXT_ = /usr/bin/xgettext
+XGETTEXT_no = /usr/bin/xgettext
+XGETTEXT_yes = /usr/bin/xgettext
 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
 MSGMERGE = msgmerge
-MSGMERGE_UPDATE = : --update
+MSGMERGE_UPDATE = /usr/bin/msgmerge --update
 MSGINIT = msginit
 MSGCONV = msgconv
 MSGFILTER = msgfilter
 
-POFILES = 
-GMOFILES = 
-UPDATEPOFILES = 
-DUMMYPOFILES = 
+POFILES =  de.po es.po fr.po it.po nl.po pl.po pt-PT.po ru.po
+GMOFILES =  de.gmo es.gmo fr.gmo it.gmo nl.gmo pl.gmo pt-PT.gmo ru.gmo
+UPDATEPOFILES =  de.po-update es.po-update fr.po-update it.po-update nl.po-update pl.po-update pt-PT.po-update ru.po-update
+DUMMYPOFILES =  de.nop es.nop fr.nop it.nop nl.nop pl.nop pt-PT.nop ru.nop
 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
@@ -73,6 +73,7 @@
 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
 
 POTFILES = \
+     ../src/action.c \
      ../src/background.c \
      ../src/border.c \
      ../src/button.c \
@@ -89,6 +90,7 @@
      ../src/error.c \
      ../src/event.c \
      ../src/font.c \
+     ../src/grab.c \
      ../src/gradient.c \
      ../src/group.c \
      ../src/help.c \
@@ -111,16 +113,17 @@
      ../src/resize.c \
      ../src/root.c \
      ../src/screen.c \
+     ../src/settings.c \
      ../src/spacer.c \
      ../src/status.c \
      ../src/swallow.c \
      ../src/taskbar.c \
      ../src/timing.c \
+     ../src/tray.c \
      ../src/traybutton.c \
-     ../src/tray.c \
      ../src/winmenu.c
 
-CATALOGS = 
+CATALOGS =  de.gmo es.gmo fr.gmo it.gmo nl.gmo pl.gmo pt-PT.gmo ru.gmo
 
 # Makevars gets inserted here. (Don't remove this line!)
 # Makefile variables for PO directory in any package using GNU gettext.
@@ -183,7 +186,7 @@
 	mv t-$@ $@
 
 
-all: check-macro-version all-no
+all: check-macro-version all-yes
 
 all-yes: stamp-po
 all-no:
@@ -249,7 +252,7 @@
 	      --files-from=$(srcdir)/POTFILES.in \
 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
 	      --package-name="$${package_gnu}jwm" \
-	      --package-version='svn-579' \
+	      --package-version='2.3.1' \
 	      --msgid-bugs-address="$$msgid_bugs_address" \
 	    ;; \
 	esac
@@ -296,7 +299,7 @@
 
 install: install-exec install-data
 install-exec:
-install-data: install-data-no
+install-data: install-data-yes
 	if test "$(PACKAGE)" = "gettext-tools"; then \
 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
 	  for file in $(DISTFILES.common) Makevars.template; do \
@@ -319,12 +322,3 @@
 	  $(mkdir_p) $(DESTDIR)$$dir; \
 	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
 	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
-	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
-	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
-	    if test -n "$$lc"; then \
-	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
-	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
-	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
-	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
-	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
-	         for file in *; do \

=== debian/changelog ===
jwm (2.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * debian/patches
    - removed all old patches, because they are obsolete due to changes in the upstream code.
    - created new jwmrc patch to re-implement debian menu as well as add a more complete icon search path and more common keyboard bindings
  * debian/rules
    - use autoconf to automatically configure
  * debian/watch
    - point upstream to correct link and use better extention search
  * debian/control
    - improve readability and add support for jpg and svg icons
  * 2.3.1 fixes
    - Added an option to group windows by class in the task bar. (the group attribute of the TrayStyle tag).
    - Fixed an issue with menus showing up across monitors when Xinerama is enabled.
    - Added the ability to show Motif-style handles on windows (the decorations attribute of WindowStyle).
    - Fixed an issue where the next/prev key bindings would not advance past a window that does not accept input focus.
    - Fixed the behavior of the Include tag within menus so that it no longer creates a submenu.
    - Menus included using Include are no longer loaded each time the menu is accessed.
    - Added a Dynamic submenu that will re-load its menu contents each time it is accessed.

  * 2.3.0
  * New Features
    - Added support for client requested XRaiseWindow (issue #117).
    - Added native language support for the confirm dialog.
    - Added support for _NET_RESTACK_WINDOW (issue #118).
    - Added key binding to send the current window to a different desktop (issue #119).
    - Support the specification of an alternate configuration file (patch from Brian Bidulock)
    - Added Corner option to configure the roundedness of windows.
    - Updated the look of borders around menus and trays.
    - Add support for _NET_WM_MOVERESIZE (issue #142).
    - Add the fullscreen group option (patch from George Shaw).
    - Made window style configuration more consistent (may break old configuration files).
    - Add scale background type.
    - Added group options: nomin, nomax, noclose, nomove, noresize (issue #152), and nofullscreen (issue #163).
    - Added the Outline tag to MenuStyle to specify the color of menu outlines (issue #31).
    - Added the Outline tag to TrayStyle to specify the color of tray outlines.
    - To conform with GNU standards, running "make install" no longer strips the executable. To strip the executable, "make install‑strip" can be used instead.
    - Added the ability to swallow the same client into a tray multiple times.
    - Added the ability to specify where the tray is hidden when auto-hide is enabled (issue #34).
    - Menu Includes are now loaded dynamically when a menu is shown rather than when JWM starts.
    - Added the sendu, sendd, sendl and sendr key bindings to send a window to a different desktop (issue #119).
    - Added the maxh, maxv, maxtop, maxbottom, maxleft and maxright key bindings (issues #120 and #157).
    - Added the ability to have separate actions per mouse button for tray buttons (issue #171). This is accomplished using the Button tag. 
    - The Button tags are optional. By default the action will use mouse button mask 123.
    - Add the ability to have separate actions per mouse button for clock tray components (issue #171) and the ability to have clock tray components run actions like tray buttons (issue #172).
    - Add support for more than 10 menus. Now 26 additional menus can be defined using the letters a through z.
  * Configuration Changes
    - The following XSLT is available to update JWM v2.2 configuration files for use with JWM v2.3: jwm-2.3.xslt.
    - To convert an existing v2.2 configuration file using xsltproc, run: cp ~/.jwmrc ~/.jwmrc.old && xsltproc jwm-2.3.xslt ~/.jwmrc.old > ~/.jwmrc
    - If you have multiple configuration files, it may be necessary to apply the XSLT to some or all of them depending on what configuration options are stored in the file.

  * A summary of configuration changes follows.

    - The ActiveBackground and ActiveForeground tags have been replaced by Background and Foreground under the Active tag. This applies to TrayStyle, TaskListStyle, TrayButtonStyle, PagerStyle, and MenuStyle.
    - The Inactive tag under WindowStyle has been removed. The tags that used to go within this tag now go directly under the WindowStyle tag.
    - The autohide attribute in Tray now determines where the tray should be hidden (left, right, top, bottom, or off) instead of true or false.
    - Now actions in the Clock tag must be prefixed with exec: to run an external program.
    - See the configuration documentation for documentation on all configuration options.
  * Bug Fixes
    - ICCCM 2.0 WM_S selection compliance (patch from Brian Bidulock).
    - Fixed client window position after maximize/restore (issue #115, patch from Biran Bidulock).
    - Fixed window mapping bug with show desktop (issue #114).
    - Give focus to the top-most window after show desktop (issue #64).
    - Fix uninitialized memory when loading images (patch from Brian Bidulock).
    - Fix overlapping string issue with FriBidi (patch from Brian Bidulock).
    - Fixed non-UTF8 locales (issue #56).
    - Fixed transparency issue with some applications (issue #130).
    - Fixed focus after key events (patch from Brian Bidulock).
    - Fixed loss of focus after restoring windows (issue #131).
    - Fix setting of _NET_WM_STATE_HIDDEN when a window is minimized (issue #133, patch from Brian Bidulock).
    - Grab input focus at startup if not already set (issue #148).

  * Updated Translations

    - Russian (Aleksandr Samusenko)
    - French (Pierrick)
    - Italian (Flavio aka Man from Mars)
    - Spanish (Pablo Lezaeta)

 -- Israel Dahl <israeldahl@gmail.com>  Tue, 04 Aug 2015 10:55:35 -0500

jwm (2.1.0+svn579-2ubuntu1) trusty; urgency=low

  * Use autotools-dev for newer arches (closes: #727911).
  * Correct use of missing Fribidi functions.



=== debian/control ===
Source: jwm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends:
 autotools-dev,
 dh-autoreconf,
 debhelper (>= 9),
 libfribidi-dev (>= 0.19.2),
 libfontconfig1-dev,
 libcairo2-dev,
 librsvg2-dev,
 libjpeg8-dev,
 libpng-dev,
 libx11-6,
 libxext-dev,
 libxft-dev,
 libxinerama-dev,
 libxmu-dev,
 libxpm-dev,
 libxrender-dev,
 zlib1g-dev,
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/joewing/jwm.git
Vcs-Git: git://github.com/joewing/jwm.git

Package: jwm
Provides: x-window-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, menu, menu-xdg , xterm | sakura | lxterminal | gnome-terminal | konsole | x-terminal-emulator, xsltproc
Suggests: x11-apps
Homepage: http://www.joewing.net/programs/jwm
Description: very small lightweight pure X11 window manager with tray and menus
 Low resource Window manager ideal for older PCs. It uses a minimum of external
 libraries, thus very little memory, includes virtual screens, menubar and
 root-menu popup.
 .
 JWM is a window manager for the X11 Window System. JWM is written in
 C and uses only Xlib and (optionally) the shape extension and libXpm.
 It can support some MWM, GNOME, and WM Spec hints. The menu
 configuration files are managed in XML format.
 .
 Compared to other light WM, like Fvwm95, the Jwm consumes considerably
 less memory while providing the more functionality.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autotools_dev --with autoreconf

# End of file

=== debian/watch ===
version=3
http://www.joewing.net/projects/jwm/index.shtml .*jwm-(\d+\.[\d.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
